## org.beepcore.beep.profile.sasl.otp.algorithm
Interface Algorithm

All Known Implementing Classes:
  AlgorithmImpl

public interface Algorithm

Field Summary
`static java.lang.String` `ERR_HASH_FAILURE`

Method Summary
`byte[]` `generateHash(byte[] data)`
`byte[]` `generateHash(java.lang.String data)`
`java.lang.String` `getName()`

Field Detail

### ERR_HASH_FAILURE

    public static final java.lang.String ERR_HASH_FAILURE

Method Detail

### getName

    public java.lang.String getName()

### generateHash

    public byte[] generateHash(java.lang.String data)
                        throws InvalidParameterException

  Throws:
    `InvalidParameterException`

### generateHash

    public byte[] generateHash(byte[] data)
                        throws InvalidParameterException

  Throws:
    `InvalidParameterException`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.